{pkgs,...}:
{
  imports = [
    (toString ../../common)
    <morph-options> # we include the options here to ensure that we can build with or without morph.
                    # morph-lib must be NIX_PATH and point to the lib path of the morph that is being
		    # used for deployment.  This is done automatically with shell.nix.
  ];
  config = {
    environment.systemPackages = with pkgs; [ bridge-utils ];
    programs.neovim.enable = true;
    programs.neovim.vimAlias = true;
    programs.neovim.viAlias = true;
    
    environment.binbash.enable = true;

    services.getty.autologinUser = "root";

    services.sshd.enable = true;
    networking.firewall.allowedTCPPorts = [ 22 ];

    system.stateVersion = "22.11";

    nix.nixPath = with pkgs; [
      "nixpkgs=/usr/src/nixpkgs"
      "home-manager=/usr/src/nixpkgs"
      "morph-options=${morph.lib}/options.nix"
    ];
  };
}
